CREATE TABLE ar_receipt_methods[ (
    RECEIPT_METHOD_ID               NUMBER(18, 0)     NOT NULL,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    NAME                            VARCHAR2(120)     NOT NULL,
    RECEIPT_CLASS_ID                NUMBER(18, 0)     NOT NULL,
    START_DATE                      DATE              NOT NULL,
    AUTO_PRINT_PROGRAM_ID           NUMBER(18, 0) ,
    AUTO_TRANS_PROGRAM_ID           NUMBER(18, 0) ,
    END_DATE                        DATE          ,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    LEAD_DAYS                       NUMBER(5, 0)  ,
    MATURITY_DATE_RULE_CODE         VARCHAR2(120) ,
    RECEIPT_CREATION_RULE_CODE      VARCHAR2(120) ,
    ATTRIBUTE_CATEGORY              VARCHAR2(120) ,
    ATTRIBUTE1                      VARCHAR2(600) ,
    ATTRIBUTE2                      VARCHAR2(600) ,
    ATTRIBUTE3                      VARCHAR2(600) ,
    ATTRIBUTE4                      VARCHAR2(600) ,
    ATTRIBUTE5                      VARCHAR2(600) ,
    ATTRIBUTE6                      VARCHAR2(600) ,
    ATTRIBUTE7                      VARCHAR2(600) ,
    ATTRIBUTE8                      VARCHAR2(600) ,
    ATTRIBUTE9                      VARCHAR2(600) ,
    ATTRIBUTE10                     VARCHAR2(600) ,
    ATTRIBUTE11                     VARCHAR2(600) ,
    ATTRIBUTE12                     VARCHAR2(600) ,
    ATTRIBUTE13                     VARCHAR2(600) ,
    ATTRIBUTE14                     VARCHAR2(600) ,
    ATTRIBUTE15                     VARCHAR2(600) ,
    PRINTED_NAME                    VARCHAR2(120) ,
    GLOBAL_ATTRIBUTE1               VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE2               VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE3               VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE4               VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE5               VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE6               VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE7               VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE8               VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE9               VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE10              VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE11              VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE12              VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE13              VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE14              VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE15              VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE16              VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE17              VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE18              VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE19              VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE20              VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE_CATEGORY       VARCHAR2(120) ,
    PAYMENT_TYPE_CODE               VARCHAR2(120) ,
    MERCHANT_ID                     NUMBER(18, 0) ,
    RECEIPT_INHERIT_INV_NUM_FLAG    VARCHAR2(4)   ,
    DM_INHERIT_RECEIPT_NUM_FLAG     VARCHAR2(4)   ,
    BR_CUST_TRX_TYPE_ID             NUMBER(18, 0) ,
    BR_MIN_ACCTD_AMOUNT             NUMBER        ,
    BR_MAX_ACCTD_AMOUNT             NUMBER        ,
    BR_INHERIT_INV_NUM_FLAG         VARCHAR2(4)   ,
    MERCHANT_REF                    VARCHAR2(320) ,
    PAYMENT_CHANNEL_CODE            VARCHAR2(120) ,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)      NOT NULL,
    ISO20022_DIRECT_DEBIT_FLAG      VARCHAR2(4)   ,
    SEED_DATA_SOURCE                VARCHAR2(2048),
    ORA_SEED_SET1                   VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                   VARCHAR2(4)       NOT NULL,
    ADVANCED_FUND_TRANSFER_FLAG     VARCHAR2(4)   
);
